ASMHelper.MethodVisitor (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.common.util, interface: ASMHelper, interface: MethodVisitor

Package org.apache.cxf.common.util

# Interface ASMHelper.MethodVisitor

Enclosing interface:
  ASMHelper

public static interface ASMHelper.MethodVisitor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ASMHelper.AnnotationVisitor`
  `visitAnnotation(String cls, boolean b)`
  `void`
  `visitCode()`
  `void`
  `visitEnd()`
  `void`
  `visitFieldInsn(int getfield, String periodToSlashes, String string, String string2)`
  `void`
  `visitFrame(int type, int nLocal, Object[] local, int nStack, Object[] stack)`
  `void`
  `visitIincInsn(int i, int j)`
  `void`
  `visitInsn(int return1)`
  `void`
  `visitIntInsn(int sipush, int x)`
  `void`
  `visitJumpInsn(int ifnonnull, ASMHelper.Label nonNullLabel)`
  `void`
  `visitLabel(ASMHelper.Label l1)`
  `void`
  `visitLdcInsn(String sig)`
  `void`
  `visitLineNumber(int i, ASMHelper.Label l0)`
  `void`
  `visitLocalVariable(String string, String string2, String string3, ASMHelper.Label lBegin, ASMHelper.Label lEnd, int i)`
  `void`
  `visitMaxs(int i, int j)`
  `void`
  `visitMethodInsn(int invokevirtual, String periodToSlashes, String name, String methodSignature, boolean itf)`
  `void`
  `visitTypeInsn(int checkcast, String string)`
  `void`
  `visitVarInsn(int aload, int i)`

- ## Method Details

  - ### visitEnd

    void visitEnd()

  - ### visitLabel

    void visitLabel(ASMHelper.Label l1)

  - ### visitMaxs

    void visitMaxs(int i, int j)

  - ### visitLineNumber

    void visitLineNumber(int i, ASMHelper.Label l0)

  - ### visitInsn

    void visitInsn(int return1)

  - ### visitVarInsn

    void visitVarInsn(int aload, int i)

  - ### visitCode

    void visitCode()

  - ### visitLdcInsn

    void visitLdcInsn(String sig)

  - ### visitLocalVariable

    void visitLocalVariable(String string, String string2, String string3, ASMHelper.Label lBegin, ASMHelper.Label lEnd, int i)

  - ### visitTypeInsn

    void visitTypeInsn(int checkcast, String string)

  - ### visitMethodInsn

    void visitMethodInsn(int invokevirtual, String periodToSlashes, String name, String methodSignature, boolean itf)

  - ### visitIntInsn

    void visitIntInsn(int sipush, int x)

  - ### visitIincInsn

    void visitIincInsn(int i, int j)

  - ### visitFieldInsn

    void visitFieldInsn(int getfield, String periodToSlashes, String string, String string2)

  - ### visitJumpInsn

    void visitJumpInsn(int ifnonnull, ASMHelper.Label nonNullLabel)

  - ### visitFrame

    void visitFrame(int type, int nLocal, Object[] local, int nStack, Object[] stack)

  - ### visitAnnotation

    ASMHelper.AnnotationVisitor visitAnnotation(String cls, boolean b)